# eric3.VCS.mercurialPackage.LogDialog

Module implementing a dialog to show the output of the hg log command.

### Classes

HgLogDialog | Module implementing a dialog to show the output of the hg log command.

### Functions

None

## HgLogDialog

Module implementing a dialog to show the output of the hg log command. The dialog is nonmodal. Clicking a link in the upper text pane shows a diff of the versions.

### Derived from

LogForm, ui

### Methods

HgLogDialog | Constructor
debug | Public method to output a debug message.
edit | Public method to enter some text.
handleAnchorClicked | Private slot to handle the anchorClicked signal of the contents pane.
handleLinkClicked | Private slot to handle the linkClicked signal of the contents pane.
note | Public method to output a note.
processBuffer | Private method to process and display the buffer.
prompt | Public method to prompt the user for some input.
start | Public slot to start the cvs log command.
status | Public method to output a status message.
warn | Public method to output a warning message.
write | Public method to write something to the output of the dialog.
write_err | Public method to write something to the errors output of the dialog.

### HgLogDialog (Constructor)

HgLogDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

### HgLogDialog.debug

debug(*msg)

Public method to output a debug message.

debug
  messages to show (strings)

### HgLogDialog.edit

edit(text)

Public method to enter some text.

Raises RuntimeError:
  not implemented

### HgLogDialog.handleAnchorClicked

handleAnchorClicked(name, link)

Private slot to handle the anchorClicked signal of the contents pane.

name
  name of the anchor that was clicked (QString)
link
  the link that was clicked (QString)

### HgLogDialog.handleLinkClicked

handleLinkClicked(link)

Private slot to handle the linkClicked signal of the contents pane.

link
  the link that was clicked (QString)

### HgLogDialog.note

note(*msg)

Public method to output a note.

notes
  to show (strings)

### HgLogDialog.processBuffer

processBuffer()

Private method to process and display the buffer. After the hg log command has finished, diff links are inserted into the contents pane.

### HgLogDialog.prompt

prompt(msg, pat, default = "y")

Public method to prompt the user for some input.

msg
  prompt message to be shown (string)
pat
  pattern of acceptable input (string)
default
  default answer if we are in noninteractive mode (string)

Returns:
  the entered text

### HgLogDialog.start

start(fn)

Public slot to start the cvs log command.

fn
  filename to show the log for (string)

### HgLogDialog.status

status(*msg)

Public method to output a status message.

status
  messages to show (strings)

### HgLogDialog.warn

warn(*msg)

Public method to output a warning message.

warning
  messages to show (strings)

### HgLogDialog.write

write(*args)

Public method to write something to the output of the dialog.

*args
  texts to be written

### HgLogDialog.write_err

write_err(*args)

Public method to write something to the errors output of the dialog.

*args
  error texts to be written

Up